Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jini.rio.monitor
Interface ProvisionMonitorAdmin

All Superinterfaces:
  DeployAdmin, DestroyAdmin, JoinAdmin, Remote, ServiceAdmin, ServiceBeanAdmin, ServiceBeanControl

    public interface ProvisionMonitorAdmin

extends ServiceAdmin, DeployAdmin

The ProvisionMonitorAdmin extends ServiceAdmin and DeployAdmin interfaces

Method Summary
`ProvisionMonitor.PeerInfo[]` | `getBackupInfo()` Get the ProvisionMonitor instances that are being backed up

Methods inherited from interface org.jini.rio.resources.servicecore.ServiceAdmin
`getJoinSet`

Methods inherited from interface org.jini.rio.core.jsb.ServiceBeanAdmin
`getServiceBeanInstantiatorUuid, getServiceElement, getUpTime, setServiceElement`

Methods inherited from interface org.jini.rio.core.ServiceBeanControl
`advertise, start, stop, unadvertise`

Methods inherited from interface net.jini.admin.JoinAdmin
`addLookupAttributes, addLookupGroups, addLookupLocators, getLookupAttributes, getLookupGroups, getLookupLocators, modifyLookupAttributes, removeLookupGroups, removeLookupLocators, setLookupGroups, setLookupLocators`

Methods inherited from interface com.sun.jini.admin.DestroyAdmin
`destroy`

Methods inherited from interface org.jini.rio.monitor.DeployAdmin
`deploy, deploy, deploy, deploy, deploy, getOperationalStringManager, getOperationalStringManagers, hasDeployed, undeploy`

Method Detail

### getBackupInfo

    ProvisionMonitor.PeerInfo[] getBackupInfo()
                                              throws RemoteException

  Get the ProvisionMonitor instances that are being backed up

  Returns:
    Array of PeerInfo objects
  Throws:
    `RemoteException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Project Rio.